Subject: Re: [PATCH v2 2/5] ci: merge linux-gcc-default into linux-gcc

From: Junio C Hamano <[email-masked]>
Date: Mon, 06 Jan 2025 07:51:08 -0800

Christian Couder <[email-masked]> writes:

> On Mon, Jan 6, 2025 at 8:51 AM Patrick Steinhardt <[email-masked]> wrote:
>>
>> The "linux-gcc-default" job is mostly doing the same as the "linux-gcc"
>> job, except for a couple of minor differences:
>>
>>   - We use an explicit GCC version instead of the default version
>>     provided by the distribution. We have other jobs that test with
>>     "gcc-8", making this distinction pointless.
>>
>>   - We don't set up the Python version explicitly, and instead use the
>>     default Python version. Python 2 has been end-of-life for quite a
>>     while now though, making this distinction less interesting.
>>
>>   - We set up the default branch name to be "main" in "linux-gcc". We
>>     have other testcases that don't and also some that explicitly use
>>     "master".
>>
>> So overall, the job does not add much to our test coverage. Merge it
>> into our "linux-gcc" job to reduce our test matrix a bit.
>
> I understand that the subject uses "merge" as the space is limited
> there, but it might be better to be a bit more explicit here about
> what the patch is doing, which is:
>
>   - making the "linux-gcc" job use the default version of gcc provided
> by the distribution (which is ubuntu-20.04) instead of "gcc-8",
>   - removing the "linux-gcc-default" job.

unify?  deprecate (the 'default' one)?  

FWIW, I do not think of a better way to phrase what the patch is
doing than "merge X into Y".

Thanks.